Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cocoon.optional.pipeline.components.sax.solr
Class SolrConsumer

    java.lang.Object
      org.apache.cocoon.pipeline.component.AbstractPipelineComponent
          org.apache.cocoon.sax.AbstractSAXPipelineComponent
              org.apache.cocoon.sax.AbstractSAXProducer
                  org.apache.cocoon.sax.AbstractSAXTransformer
                      org.apache.cocoon.optional.pipeline.components.sax.solr.SolrConsumer

All Implemented Interfaces:
  Consumer, PipelineComponent, Producer, SAXConsumer, SAXPipelineComponent, SAXProducer, ContentHandler, LexicalHandler

    public class SolrConsumer

extends AbstractSAXTransformer

Constructor Summary
`SolrConsumer(org.apache.solr.client.solrj.SolrServer server)`
`SolrConsumer(String url)`

Method Summary
`void` | `characters(char[] ch, int start, int length)`
`void` | `endElement(String uri, String localName, String qName)`
`void` | `startElement(String uri, String localName, String qName, Attributes atts)`

Methods inherited from class org.apache.cocoon.sax.AbstractSAXTransformer
`comment, endCDATA, endDocument, endDTD, endEntity, endPrefixMapping, endSAXRecording, ignorableWhitespace, processingInstruction, removeRecorder, sendEndPrefixMapping, sendStartPrefixMapping, setDocumentLocator, setRecorder, skippedEntity, startCDATA, startDocument, startDTD, startEntity, startPrefixMapping, startSAXRecording`

Methods inherited from class org.apache.cocoon.sax.AbstractSAXProducer
`getSAXConsumer, setConsumer, setSAXConsumer, toString`

Methods inherited from class org.apache.cocoon.pipeline.component.AbstractPipelineComponent
`finish, setConfiguration, setup`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.apache.cocoon.pipeline.component.PipelineComponent
`finish, setConfiguration, setup`

Constructor Detail

### SolrConsumer

    public SolrConsumer(String url)
                 throws MalformedURLException

Throws:
  `MalformedURLException`

### SolrConsumer

    public SolrConsumer(org.apache.solr.client.solrj.SolrServer server)

Method Detail

### characters

    public void characters(char[] ch,
                           int start,
                           int length)
                    throws SAXException

  Specified by:
    `characters` in interface `ContentHandler`
  Overrides:
    `characters` in class `AbstractSAXTransformer`
  Throws:
    `SAXException`

### startElement

    public void startElement(String uri,
                             String localName,
                             String qName,
                             Attributes atts)
                      throws SAXException

  Specified by:
    `startElement` in interface `ContentHandler`
  Overrides:
    `startElement` in class `AbstractSAXTransformer`
  Throws:
    `SAXException`

### endElement

    public void endElement(String uri,
                           String localName,
                           String qName)
                    throws SAXException

  Specified by:
    `endElement` in interface `ContentHandler`
  Overrides:
    `endElement` in class `AbstractSAXTransformer`
  Throws:
    `SAXException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright � 2008-2010 The Apache Software Foundation. All Rights Reserved.